
<!--- Test for referenced types  --->

<cfimport taglib="/WEB-INF/lib/coapi.jar" prefix="cfa" />

<cfa:typeCreate name="task">
	<cfa:typeProperty name="Name" type="string" /> 
	<cfa:typeProperty name="Priority" type="string" /> 
</cfa:typeCreate>

<cfa:typeCreate name="taskList">
	<cfa:typeProperty name="tasks" type="task" array="true" relationType="referenced" /> 
</cfa:typeCreate>

<cfscript>
	props = StructNew();
	props.tasks = ArrayNew(1);
</cfscript>

<cfa:objectCreate type="taskList" stProperties="#props#" r_stObject="myTaskList" />
Empty Array test:
<cfdump var="#myTaskList#" /><hr />

<!--- <!--- <!--- <!---  ---> ---> ---> --->



<cfscript>
	theTask = StructNew();
	theTask.Name = "Get out of bed";
</cfscript>
<cfa:objectCreate type="task" stProperties="#theTask#" r_stObject="myTask1" />

<cfscript>
	theTask.Name = "Eat breakfast";
</cfscript>
<cfa:objectCreate type="task" stProperties="#theTask#" r_stObject="myTask2" />

<cfscript>
	theTask.Name = "Get dressed";
</cfscript>
<cfa:objectCreate type="task" stProperties="#theTask#" r_stObject="myTask3" />

<cfscript>
	theTask.Name = "Go to work";
</cfscript>
<cfa:objectCreate type="task" stProperties="#theTask#" r_stObject="myTask4" />

<cfscript>
	props = StructNew();
	props.tasks = ArrayNew(1);
	props.tasks[1] = myTask1.id;
	props.tasks[2] = myTask2.id;
	props.tasks[3] = myTask3.id;
	props.tasks[4] = myTask4.id;
</cfscript>

<cfa:objectCreate type="taskList" stProperties="#props#" r_stObject="myNewTaskList" />
Populated Test:
<cfdump var="#myNewTaskList#" />


<cfa:typeDelete name="taskList" />
<cfa:typeDelete name="task" />

